// -----------------------------------------------------------------------------
// Sass variables.
// -----------------------------------------------------------------------------

// Vertical rhytmn settings
$base-size:             15;
$base-line-height-step: ($base-size/$base-size) * 1rem;


// Layout
$gutter-width:          .5rem;
$container-width:       100%;
$container-max-width:   (75rem - ($gutter-width * 2)); 



// Breakpoints
$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 992px,
  xl: 1200px
);


// Spacers
$spacers: (
  xxs: $base-line-height-step * .5, // 8px
  xs: $base-line-height-step * .8, // 12px
  sm: $base-line-height-step * 1.066, // 16px
  md: $base-line-height-step * 1.33,  // 20px
  lg: $base-line-height-step * 1.6, //24px
  xl: $base-line-height-step * 1.86 //28px
);

$spacer-xss:                spacer(xss);
$spacer-xs:                 spacer(xs);
$spacer-sm:                 spacer(sm);
$spacer-lg:                 spacer(lg);
$spacer-xl:                 spacer(xl);


// ard.01 Base colors
$black:                     #000;
$gray-dark:                 #4e4f62;
$gray:                      #758397;
$gray-light:                #CED0DA;
$gray-lighter:              #dce1ec;
$gray-lightest:             #F6F7FB;
$white:                     #fff;

// x.02 Template colors
$color-text:                $gray-dark;
$color-text-lighten:        $gray;
$color-text-lightest:       $white;
$color-primary:             #1991EB;
$color-success:             #37c936;
$color-danger:              #D0021B;
$color-border:              $gray-lighter;
$color-border-darken:       $gray-light;
$color-bg:                  $gray-lightest;
$color-box-shadow:          rgba($black, .5);

// x.03 Social colors
$color-instagram:           #BC298D;

// x.03 Gradients
$gradient-default-start:    $white;
$gradient-default-end:      $gray-light;
$gradient-primary-start:    #1991EB;
$gradient-primary-end:      #1585D8;
$gradient-danger-start:     #F14D53;
$gradient-danger-end:       #D0121A;


// x.01 Font settings
$base-font-size:            ($base-size/$base-size) * 1rem;
$font-primary:              "Helvetica Neue", Helvetica, Arial, sans-serif;
$font-weight-default:       normal;


// x.02 Font sizes
$font-size-xs:              ($base-font-size * .75); // 0.75rem (12px)
$font-size-sm:              ($base-font-size * .875); // 0.875rem (14px)
$font-size-md:              $base-font-size;   // 1rem (15px)
$font-size-mlg:             ($base-font-size * 1.066); // 1.133rem (16px)
$font-size-lg:              ($base-font-size * 1.133); // 1.133rem (17px)
$font-size-xl:              ($base-font-size * 1.3333); // 1.333rem (20px)

// Line Heights
$line-height-xs:            1;
$line-height-sm:            1.5;
$line-height-md:            1.4;
$line-height-lg:            1.352;
$line-height-xl:            1.2;



// Transitions
$transition-base-duration:  .25s;
$transition-base-timing:    ease;
$transition-base:           all $transition-base-duration $transition-base-timing;


// Appearance
$border-radius:             (3/$base-size) * 1rem;
$border-width:              (1/$base-size) * 1rem;
$border-style:              solid;
$border-color:              $color-border; 
$border-default:            $border-width $border-style $border-color;

$card-bg:                   $white;
$card-box-shadow:           0 1px 5px 0 rgba(62,63,68,0.15);
$card-border:               $border-width $border-style $border-color;
$card-border-radius:        $border-radius;


  // Links 
$link-color:                $color-text-lighten;
$link-decoration:           none;
$link-hover-color:          $color-primary;
$link-hover-decoration:     none;
$link-transition:           color $transition-base-duration $transition-base-timing;


// Buttons 
$btn-font-size:             $font-size-md;
$btn-font-family:           $font-primary;
$btn-border-radius:         $border-radius;
$btn-border-width:          $border-width;
$btn-transition:            all $transition-base-duration $transition-base-timing;
$btn-box-shadow:            0 2px 4px $color-box-shadow;
$btn-line-height:           1.125;
$btn-font-weight:           $font-weight-default;
$btn-padding-x:             $base-line-height-step;
$btn-padding-y:             ($base-line-height-step * .5);

$btn-small-font-size:       $font-size-xs;
$btn-small-padding-x:       $base-line-height-step;
$btn-small-padding-y:       ($base-line-height-step * .5);

$btn-default-color:         $color-text;
$btn-default-bg:            linear-gradient(-180deg, $white 2%, #F1F3F6 97%);
$btn-default-border-color:  $gray-light;

$btn-primary-color:         $color-text-lightest;
$btn-primary-bg:            linear-gradient(to bottom, $gradient-primary-start, $gradient-primary-end);
$btn-primary-border-color:  transparent;
